<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
$database = isset( $_REQUEST['cat'] ) ? preg_replace( '/([^a-z0-9-_])/ui', '', $_REQUEST['cat'] ) : '';
if ( ! file_exists( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' ) ) {
	$our_content = $lang['editmess']['baseDoesNotExist'];
	}
else
	{
	$what = isset( $_GET['what'] ) ? abs( intval( $_GET['what'] ) ) : 'null';
	$page = isset( $_GET['page'] ) ? abs( intval( $_GET['page'] ) ) : 1;
	@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0644 );
	$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
	if ( ! isset( $array_filedb[$what] ) || $what == 0 ) {
		$our_content .= $lang['editmess']['useMenuEditMess'];
		}
	else
		{
		if ( isset( $_POST['editmess'] ) )
			{
			mf_valid_data( 'head', 'mess', 'extra', 'description', 'keywords' );
			mf_check_scrf( 'csrf_token' );
			if ( ! isset( $_SESSION['head'] ) || mb_strlen( $_SESSION['head'] ) < 1 ) {
				$_SESSION['send'] = '<div id="error">'.$lang['editmess']['fillPageTitle'].'</div>';
				exit( header( 'location: editmess.php?&cat='.$database.'&what='.$what.'&page='.$page ) );
				}
			$row = unserialize( $array_filedb[$what] );
			$row['head']			= $_SESSION['head'];
			$row['mess']			= $_SESSION['mess'];
			$row['extra']			= $_SESSION['extra'];
			$row['description']		= $_SESSION['description'];
			$row['keywords']		= $_SESSION['keywords'];
			$array_filedb[$what] = serialize( $row )."\n" ;
			mf_save_data( $database, $array_filedb, 'w+' );
			if ( mf_pagedb_config( $database, 'rss' ) == '1' ) mf_rss( $database );
			$_SESSION['send'] = '<div id="message">'.$lang['editmess']['successChangMess'].'</div>';
			exit( header( 'Location: blog.php?cat='.$database.'&page='.$page ) );
			}
		$newold = unserialize( $array_filedb[$what] );
		$our_content .= '
		<h1>'.$lang['editmess']['editMess'].'</h1>
		<div class="rounded">
			'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
			<form action="editmess.php?cat='.$database.'&what='.$what.'&page='.$page.'" method="post">
			'.mf_generate_form_token( 'csrf_token' ).'
				<table width="888">
					<tr>
						<td width="120">'.$lang['editmess']['title'].'</td>
						<td>
							<input type="text" name="head" size="70" maxlength="255" value="'.( isset( $_SESSION['head'] ) ? $_SESSION['head'] : $newold['head'] ).'" />
						</td>
					</tr>
					<tr>
						<td colspan="2">'.$lang['editmess']['shortMess'].'</td>
					</tr>
					<tr>
						<td colspan="2">
							<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
							<script type="text/javascript">
								<!--
									var oFCKeditor = new FCKeditor("mess");
									oFCKeditor.BasePath = "fckeditor/";
									oFCKeditor.Height = 300 ;
									oFCKeditor.Value = "'.( isset( $_SESSION['mess'] ) ? str_replace( $a_before, $a_after, $_SESSION['mess'] ) : str_replace( $a_before, $a_after, $newold['mess'] ) ).'";
									oFCKeditor.Create() ;
								//-->
							</script>
						</td>
					</tr>
					<tr>
						<td colspan="2">'.$lang['editmess']['longMess'].'</td>
					</tr>
					<tr>
						<td colspan="2">
							<script type="text/javascript">
								<!--
									var oFCKeditor = new FCKeditor("extra");
									oFCKeditor.BasePath = "fckeditor/";
									oFCKeditor.Height = 300 ;
									oFCKeditor.Value = "'.( isset( $_SESSION['extra'] ) ? str_replace( $a_before, $a_after, $_SESSION['extra'] ) : str_replace( $a_before, $a_after, $newold['extra'] ) ).'";
									oFCKeditor.Create() ;
								//-->
							</script>
						</td>
					</tr>
					<tr>
						<td>'.$lang['editmess']['description'].'</td>
						<td>
							<input type="text" name="description" value="'.( isset( $_SESSION['description'] ) ? $_SESSION['description'] : $newold['description'] ).'" size="80" />
						</td>
					</tr>
					<tr>
						<td>'.$lang['editmess']['keywords'].'</td>
						<td>
							<input type="text" name="keywords" value="'.( isset( $_SESSION['keywords'] ) ? $_SESSION['keywords'] : $newold['keywords'] ).'" size="80" />
						</td>
					</tr>
					<tr>
						<td colspan="2" align="center">
							<input class="btn" type="submit" name="editmess" value="'.$lang['editmess']['changeMess'].'" />
						</td>
					</tr>
				</table>
			</form>
		</div>';
		}
	}
unset( $_SESSION['send'], $_SESSION['head'], $_SESSION['mess'], $_SESSION['extra'], $_SESSION['description'], $_SESSION['keywords'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>