<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
if ( ! file_exists( ROOT_PATH.'/templates/'.$config_template.'/template.php' ) || ! file_exists( ROOT_PATH.'/templates/'.$config_template.'/shortblog.php' ) || ! file_exists( ROOT_PATH.'/templates/'.$config_template.'/fullblog.php' ) ) {
	$our_content = $lang['edittemplate']['TemplDoesNotExist'];
	}
else
	{
	if ( isset( $_POST['edittemplate'] ) ) {
		mf_check_scrf( 'csrf_token_templates' );
		mf_save_templates( $config_template, 'template', $_POST['article'] );
		$_SESSION['send'] = '<div id="message">'.$lang['edittemplate']['successChangTempl'].'</div>';
		exit( header( 'Location: edittemplate.php' ) );
		}

	if ( isset( $_POST['editshortblog'] ) ) {
		mf_check_scrf( 'csrf_token_shortblog' );
		mf_save_templates( $config_template, 'shortblog', $_POST['shortblog'] );
		$_SESSION['send'] = '<div id="message">'.$lang['edittemplate']['successChangTempl'].'</div>';
		exit( header( 'Location: edittemplate.php' ) );
		}

	if ( isset( $_POST['editfullblog'] ) ) {
		mf_check_scrf( 'csrf_token_fullblog' );
		mf_save_templates( $config_template, 'fullblog', $_POST['fullblog'] );
		$_SESSION['send'] = '<div id="message">'.$lang['edittemplate']['successChangTempl'].'</div>';
		exit( header( 'Location: edittemplate.php' ) );
		}

	$our_content .= '
	<h1>'.$lang['edittemplate']['editTemplate'].'</h1>
	'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
	<div class="rounded">
		<form action="edittemplate.php" method="post">
		'.mf_generate_form_token( 'csrf_token_templates' ).'
			<table>
				<tr>
					<td><div class="title">'.$lang['edittemplate']['template'].'</div></td>
				</tr>
				<tr>
					<td><textarea name="article" cols="120" rows="25">'.mf_view_templates( $config_template, 'template' ).'</textarea></td>
				<tr>
					<td align="center">
						<input class="btn" type="submit" value="'.$lang['edittemplate']['changeTemplate'].'" name="edittemplate" />
					</td>
				</tr>
			</table>
		</form>
	</div>';

	$our_content .= '
	<div class="rounded">
		<form action="edittemplate.php" method="post">
		'.mf_generate_form_token( 'csrf_token_shortblog' ).'
			<table>
				<tr>
					<td><div class="title">'.$lang['edittemplate']['shortMess'].'</div></td>
				</tr>
				<tr>
					<td><textarea name="shortblog" cols="120" rows="15">'.mf_view_templates( $config_template, 'shortblog' ).'</textarea></td>
				<tr>
					<td align="center">
						<input class="btn" type="submit" value="'.$lang['edittemplate']['changeTemplate'].'" name="editshortblog" />
					</td>
				</tr>
			</table>
		</form>
	</div>';

	$our_content .= '
	<div class="rounded">
		<form action="edittemplate.php" method="post">
		'.mf_generate_form_token( 'csrf_token_fullblog' ).'
			<table>
				<tr>
					<td><div class="title">'.$lang['edittemplate']['longMess'].'</div></td>
				</tr>
				<tr>
					<td><textarea name="fullblog" cols="120" rows="15">'.mf_view_templates( $config_template, 'fullblog' ).'</textarea></td>
				<tr>
					<td align="center">
						<input class="btn" type="submit" value="'.$lang['edittemplate']['changeTemplate'].'" name="editfullblog" />
					</td>
				</tr>
			</table>
		</form>
	</div>';
	}
unset( $_SESSION['send'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>