<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
if ( isset( $_POST['dellpage'] ) )
	{
	mf_check_scrf( 'csrf_token' );
	if ( empty( $_POST['delete'] ) ) {
		$_SESSION['send'] = '<div id="error">'.$lang['index']['chooseDellPage'].'</div>';
		exit( header( 'location: index.php' ) );
		}
	foreach ( $_POST['delete'] as $key => $value )
		{
		$key = preg_replace( '#([^a-z0-9_])#ui', '', $key );
		if ( ! file_exists( ROOT_PATH.'/content/pagedb/'.$key.'.dat' ) || $key == 'index' || $key == '404' ) {
			$_SESSION['send'] = '<div id="error">'.$lang['index']['useMenuDellPage'].'</div>';
			exit( header( 'location: index.php' ) );
			}
		if ( file_exists( ROOT_PATH.'/content/infopagedb/'.$key.'.dat' ) ) {
			@chmod( ROOT_PATH.'/content/infopagedb/'.$key.'.dat', 0777 );
			unlink( ROOT_PATH.'/content/infopagedb/'.$key.'.dat' );
			}
		if ( file_exists( ROOT_PATH.'/rss/'.$key.'.xml' ) ) {
			@chmod( ROOT_PATH.'/rss/'.$key.'.xml', 0777 );
			unlink( ROOT_PATH.'/rss/'.$key.'.xml' );
			}
		@chmod( ROOT_PATH.'/content/pagedb/'.$key.'.dat', 0777 );
		unlink( ROOT_PATH.'/content/pagedb/'.$key.'.dat' );
		}
	mf_sitemap(  );
	$_SESSION['send'] = '<div id="message">'.$lang['index']['successDelPage'].'</div>';
	exit( header( 'location: index.php' ) );
	}
$dir = glob( ROOT_PATH.'/content/pagedb/*.dat' );
$fileArr = array(  );
foreach ( $dir as $fname ) {
	$fileArr[$fname] = filemtime( $fname );
	}
$fileArr[ROOT_PATH.'/content/pagedb/index.dat']	= 9999999999;
$fileArr[ROOT_PATH.'/content/pagedb/404.dat']	= 1;
arsort( $fileArr );
$our_content .= '
<h1>'.$lang['index']['page'].'</h1>
<div class="rounded">
	'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
	<form action="index.php" method="post">
		'.mf_generate_form_token( 'csrf_token' ).'
		<div class="right">
			<a class="btn" href="addpage.php">'.$lang['index']['addPage'].'</a>
			<input class="btn" type="submit" name="dellpage" value="'.$lang['index']['deletePage'].'" title="'.$lang['index']['deletePage'].'" onclick="return confirm(\''.$lang['index']['confirmDellPage'].'\')" />
		</div>
		<table class="table">';
foreach ( $fileArr as $thisName => $thisTime )
	{
	@chmod( $thisName, 0644 );
	$fopendb = fopen( $thisName, 'r' );
	flock( $fopendb, LOCK_SH );
	$data = fread( $fopendb, filesize( $thisName ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	$title = explode( '<!-- OUR_title -->', $data );
	$type_page = explode( '<!-- OUR_type -->', $data );
	$plink = strtolower( trim( pathinfo( $thisName, PATHINFO_FILENAME ) ) );
	$our_content .= '
			<tr>
				<td>'.( ! isset( $num ) ? $num = 1 : ++$num ).'</td>
				<td style="width: auto; text-align: left;">'.$title[1].'</td>
				<td>'.( trim( $type_page[1] ) == 'blog' ? '<a href="blog.php?cat='.$plink.'" alt="'.$lang['index']['editBlog'].'" title="'.$lang['index']['editBlog'].'"><img src="images/edit_blog.png" width="22"/></a>' : '' ).'</td>
				<td><a href="editpage.php?what='.$plink.'" alt="'.$lang['index']['editPage'].'" title="'.$lang['index']['editPage'].'"><img src="images/edit_page.png" width="17"/></a></td>
				<td><a target="_blank" href="../'.$plink.'.html" alt="'.$lang['index']['viewPage'].'" title="'.$lang['index']['viewPage'].'"><img src="images/view_page.png" width="19" /></a></td>
				<td>'.( ( in_array( $plink, array( 'index', '404' ) ) ) ? '<img src="images/delete.png" width="14"/ alt="'.$lang['index']['noDelete'].'" title="'.$lang['index']['noDelete'].'" />' : '<input type="checkbox" name="delete['.$plink.']" />' ).'</td>
			</tr>';
	}
$our_content .= '
		</table>
	</form>
</div>';
unset( $_SESSION['send'], $_SESSION['head'], $_SESSION['mess'], $_SESSION['extra'], $_SESSION['content'], $_SESSION['title'], $_SESSION['description'], $_SESSION['keywords'], $_SESSION['myinclude'], $_SESSION['type'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>