<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
if ( isset( $_POST['changesitename'] ) )
	{
	mf_valid_data( 'sitename' );
	mf_check_scrf( 'csrf_token_sitename' );
	if ( ! isset( $_SESSION['sitename'] ) || mb_strlen( $_SESSION['sitename'] ) < 1 ) {
		$_SESSION['send'] = '<div id="error">'.$lang['settings']['fillSiteName'].'</div>';
		exit( header( 'location: settings.php' ) );
		}
	mf_change_setting( 'sitename', $_SESSION['sitename'], 'engine/data' );
	$_SESSION['send'] = '<div id="message">'.$lang['settings']['successChang'].'</div>';
	exit( header( 'location: settings.php' ) );
	}

if ( isset( $_POST['changelang'] ) )
	{
	mf_check_scrf( 'csrf_token_lang' );
	if ( empty( $_POST['select'] ) || ! in_array( $_POST['select'], array( 'ua', 'ru', 'pl', 'en' ) ) ) {
		$_SESSION['send'] = '<div id="error">'.$lang['settings']['useMenu'].'</div>';
		exit( header( 'location: settings.php' ) );
		}
	mf_change_setting( 'lang', $_POST['select'], 'admin/conf' );
	mf_change_setting( 'lang', $_POST['select'], 'engine/data' );
	$_SESSION['send'] = '<div id="message">'.$lang['settings']['successChang'].'</div>';
	exit( header( 'location: settings.php' ) );
	}

if ( isset( $_POST['changetemplate'] ) )
	{
	mf_check_scrf( 'csrf_token_template' );
	$d = dir( ROOT_PATH.'/templates' );
	while ( $entry = $d->read(  ) ) {
		if ( $entry != '.' && $entry != '..' ) $template_exist[ ] = $entry;
		}
	$d->close(  );
	if ( empty( $_POST['select'] ) || ! in_array( $_POST['select'], $template_exist ) ) {
		$_SESSION['send'] = '<div id="error">'.$lang['settings']['useMenu'].'</div>';
		exit( header( 'location: settings.php' ) );
		}
	mf_change_setting( 'template', $_POST['select'], 'engine/data' );
	$_SESSION['send'] = '<div id="message">'.$lang['settings']['successChang'].'</div>';
	exit( header( 'location: settings.php' ) );
	}

if ( isset( $_POST['changelogin'] ) )
	{
	mf_check_scrf( 'csrf_token_login' );
	if ( ! isset( $_POST['oldlogin'] ) || mb_strlen( $_POST['oldlogin'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillOldLogin'].'<br />';
		}
	elseif ( md5( $_POST['oldlogin'] ) != $config_login ) {
		$_SESSION['send'] .= $lang['settings']['oldLoginFalse'].'<br />';
		}

	if ( ! isset( $_POST['newlogin'] ) || mb_strlen( $_POST['newlogin'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillNewLogin'].'<br />';
		}
	elseif ( mb_strlen( $_POST['newlogin'] ) < 5 ) {
		$_SESSION['send'] .= $lang['settings']['moreCharNewLogin'].'<br />';
		}

	if ( ! $_POST['pass'] ) {
		$_SESSION['send'] .= $lang['settings']['fillPresentPass'].'<br />';
		}
	elseif ( md5( $_POST['pass'] ) != $config_password ) {
		$_SESSION['send'] .= $lang['settings']['presentPassFalse'].'<br />';
		}

	if ( ! empty( $_SESSION['send'] ) ) {
		$_SESSION['send']		= '<div id="error">'.$lang['settings']['error'].'<br />'.$_SESSION['send'].'</div>';
		$_SESSION['oldlogin']	= $_POST['oldlogin'];
		$_SESSION['newlogin']	= $_POST['newlogin'];
		exit( header( 'location: settings.php' ) );
		}
	mf_change_setting( 'login', md5( $_POST['newlogin'] ), 'admin/conf' );
	$_SESSION['security'] = md5( md5( $_POST['newlogin'] ).$config_password );
	$_SESSION['send'] = '<div id="message">'.$lang['settings']['successChang'].'</div>';
	exit( header( 'location: settings.php' ) );
	}

if ( isset( $_POST['changepass'] ) )
	{
	mf_check_scrf( 'csrf_token_pass' );
	if ( ! isset( $_POST['presentpass'] ) || mb_strlen( $_POST['presentpass'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillPresentPass'].'<br />';
		}
	elseif ( md5( $_POST['presentpass'] ) != $config_password ) {
		$_SESSION['send'] .= $lang['settings']['presentPassFalse'].'<br />';
		}

	if ( ! isset( $_POST['newpass'] ) || mb_strlen( $_POST['newpass'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillNewPass'].'<br />';
		}
	elseif ( mb_strlen( $_POST['newpass'] ) < 5 ) {
		$_SESSION['send'] .= $lang['settings']['moreCharNewPass'].'<br />';
		}

	if ( ! isset( $_POST['toopass'] ) || mb_strlen( $_POST['toopass'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillTooPass'].'<br />';
		}

	if ( ! isset( $_POST['presentlogin'] ) || mb_strlen( $_POST['presentlogin'] ) < 1 ) {
		$_SESSION['send'] .= $lang['settings']['fillPresentLogin'];
		}
	elseif ( md5( $_POST['presentlogin'] ) != $config_login ) {
		$_SESSION['send'] .= $lang['settings']['presentLoginFalse'].'<br />';
		}

	if ( $_POST['newpass'] != $_POST['toopass'] ) {
		$_SESSION['send'] .= $lang['settings']['passMatchFalse'].'<br />';
		}

	if ( ! empty( $_SESSION['send'] ) ) {
		$_SESSION['send']			= '<div id="error">'.$lang['settings']['error'].'<br />'.$_SESSION['send'].'</div>';
		$_SESSION['presentlogin']	= $_POST['presentlogin'];
		exit( header( 'location: settings.php' ) );
		}
	mf_change_setting( 'password', md5( $_POST['newpass'] ), 'admin/conf' );
	$_SESSION['security'] = md5( $config_login.md5( $_POST['newpass'] ) );
	$_SESSION['send'] = '<div id="message">'.$lang['settings']['successChang'].'</div>';
	exit( header( 'location: settings.php' ) );
	}

$our_content .= '
<h1>'.$lang['settings']['setting'].'</h1>
'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
<div class="rounded">
	<form action="settings.php" method="post">
	'.mf_generate_form_token( 'csrf_token_sitename' ).'
		<table>
			<tr>
				<td width="160"><div class="title">'.$lang['settings']['siteName'].'</div></td>
				<td><input size="60" type="text" name="sitename" value="'.$config_sitename.'" /></td>
			</tr>
			<tr>
				<td></td>
				<td><input class="btn" type="submit" name="changesitename" value="'.$lang['settings']['changeSetting'].'" /></td>
			</tr>
		</table>
	</form>
</div>';

$our_content .= '
<div class="rounded">
	<form action="settings.php" method="post">
	'.mf_generate_form_token( 'csrf_token_lang' ).'
		<table>
			<tr>
				<td width="160"><div class="title">'.$lang['settings']['langSite'].'</div></td>
				<td>
					<select name="select">
						<option value="ua" '.( $config_lang == 'ua' ? 'selected="selected"' : '' ).'>'.$lang['settings']['ua'].' </option>
						<option value="ru" '.( $config_lang == 'ru' ? 'selected="selected"' : '' ).'>'.$lang['settings']['ru'].' </option>
						<option value="pl" '.( $config_lang == 'pl' ? 'selected="selected"' : '' ).'>'.$lang['settings']['pl'].' </option>
						<option value="en" '.( $config_lang == 'en' ? 'selected="selected"' : '' ).'>'.$lang['settings']['en'].' </option>
					</select>
				</td>
			</tr>
			<tr>
				<td></td>
				<td><input class="btn" type="submit" name="changelang" value="'.$lang['settings']['changeSetting'].'" /></td>
			</tr>
		</table>
	</form>
</div>';

$d = dir( ROOT_PATH.'/templates' );
$our_content .= '
<div class="rounded">
	<form action="settings.php" method="post">
	'.mf_generate_form_token( 'csrf_token_template' ).'
		<table>
			<tr>
				<td width="160"><div class="title">'.$lang['settings']['template'].'</div></td>
				<td>
					<select name="select">
						<option>'.$config_template.'</option>';
						while ( $entry = $d->read(  ) ) {
							if ( $entry != '.' && $entry != '..' && trim( $entry ) != $config_template )
								$our_content .='<option value="'.$entry.'">'.$entry.'</option>';
							}
		$our_content .= '
					</select>
				</td>
			</tr>
			<tr>
				<td></td>
				<td><input class="btn" type="submit" name="changetemplate" value="'.$lang['settings']['changeSetting'].'" /></td>
			</tr>
		</table>
	</form>
</div>';
$d->close(  );

$our_content .= '
<div class="rounded">
	<form action="settings.php" method="post">
	'.mf_generate_form_token( 'csrf_token_login' ).'
		<table>
			<tr>
				<td colspan="2"><div class="title">'.$lang['settings']['login'].'</div></td>
			</tr>
			<tr>
				<td width="160">'.$lang['settings']['oldLogin'].'</td>
				<td><input name="oldlogin" type="text" value="'.htmlspecialchars( isset( $_SESSION['oldlogin'] ) ? $_SESSION['oldlogin'] : '', ENT_QUOTES ).'" /></td>
			</tr>
			<tr>
				<td>'.$lang['settings']['newLogin'].'</td>
				<td><input name="newlogin" type="text" value="'.htmlspecialchars( isset( $_SESSION['newlogin'] ) ? $_SESSION['newlogin'] : '', ENT_QUOTES ).'" /></td>
			</tr>
			<tr>
				<td>'.$lang['settings']['presentPass'].'</td>
				<td><input name="pass" type="password" /></td>
			</tr>
			<tr>
				<td></td>
				<td><input class="btn" type="submit" value="'.$lang['settings']['changeSetting'].'" name="changelogin" /></td>
			</tr>
		</table>
	</form>
</div>';

$our_content .= '
<div class="rounded">
	<form action="settings.php" method="post">
	'.mf_generate_form_token( 'csrf_token_pass' ).'
		<table>
			<tr>
				<td colspan="2"><div class="title">'.$lang['settings']['password'].'</div></td>
			</tr>
			<tr>
				<td width="160">'.$lang['settings']['presentPass'].'</td>
				<td><input name="presentpass" type="password" /></td>
			</tr>
			<tr>
				<td height="30">'.$lang['settings']['newPassword'].'</td>
				<td><input name="newpass" type="password" /></td>
			</tr>
			<tr>
				<td height="30">'.$lang['settings']['tooPass'].'</td>
				<td><input name="toopass" type="password" /></td>
			</tr>
			<tr>
				<td height="30">'.$lang['settings']['presentLogin'].'</td>
				<td><input name="presentlogin" type="text" value="'.htmlspecialchars( isset( $_SESSION['presentlogin'] ) ? $_SESSION['presentlogin'] : '', ENT_QUOTES ).'" /></td>
			</tr>
			<tr>
				<td height="30"></td>
				<td><input class="btn" type="submit" value="'.$lang['settings']['changeSetting'].'" name="changepass" /></td>
			</tr>
		</table>
	</form>
</div>';
unset( $_SESSION['send'], $_SESSION['sitename'], $_SESSION['oldlogin'], $_SESSION['newlogin'], $_SESSION['presentlogin'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>