<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
include ROOT_PATH.'/admin/validation.php';
$database = isset( $_REQUEST['cat'] ) ? preg_replace( '/([^a-z0-9-_])/ui', '', $_REQUEST['cat'] ) : '';
if ( ! file_exists( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' ) ) {
	$our_content = $lang['addmess']['baseDoesNotExist'];
	}
else
	{
	if ( isset( $_POST['addmess'] ) )
		{
		mf_valid_data( 'head', 'mess', 'extra', 'description', 'keywords' );
		mf_check_scrf( 'csrf_token' );
		if ( ! isset( $_SESSION['head'] ) || mb_strlen( $_SESSION['head'] ) < 1 ) {
			$_SESSION['send'] = '<div id="error">'.$lang['addmess']['fillPageTitle'].'</div>';
			exit( header( 'location: addmess.php?cat='.$database ) );
			}
		$data = array (	'link'			=> mb_strtolower( trim( preg_replace( '/([^a-z0-9-_])/ui', '', str_replace( ' ', '_', mf_encodestring( $_SESSION['head'] ) ) ) ) ),
						'head'			=> $_SESSION['head'],
						'mess'			=> $_SESSION['mess'],
						'extra'			=> $_SESSION['extra'],
						'description'	=> $_SESSION['description'],
						'keywords'		=> $_SESSION['keywords'],
						'pubdate'		=> date( 'd-m-Y' ),
						'pubtime'		=> date( 'H:i:s' ) );
		@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0777 );
		$fopendb = fopen( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 'a+' );
		flock( $fopendb, LOCK_EX );
		fwrite( $fopendb, serialize( $data )."\n" );
		flock( $fopendb, LOCK_UN );
		fclose( $fopendb );
		@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0644 );
		$_SESSION['send'] = '<div id="message">'.$lang['addmess']['successCreateMess'].'</div>';
		mf_sitemap(  );
		if ( mf_pagedb_config( $database, 'rss' ) == '1' ) mf_rss( $database );
		$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
		$mess_exists = 0;
		foreach ( $array_filedb as $key => $value ) {
			if ( trim( $array_filedb[$key] ) != '' && $key != 0 ) {
				$mess_exists++;
				}
			}
		$row = unserialize( $array_filedb[0] );
		$row['mess_exists'] = $mess_exists;
		$array_filedb[0] = serialize( $row )."\n" ;
		mf_save_data( $database, $array_filedb, 'w+' );
		exit( header( 'Location: blog.php?cat='.$database ) );
		}
	$our_content .= '
	<h1>'.$lang['addmess']['addMess'].'</h1>
	<div class="rounded">
		'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
		<form action="addmess.php?cat='.$database.'" method="post">
		'.mf_generate_form_token( 'csrf_token' ).'
			<table width="888">
				<tr>
					<td width="120">'.$lang['addmess']['title'].'</td>
					<td>
						<input type="text" name="head" size="70" maxlength="255" value="'.( isset( $_SESSION['head'] ) ? $_SESSION['head'] : '' ).'" />
					</td>
				</tr>
				<tr>
					<td colspan="2">'.$lang['addmess']['shortMess'].'</td>
				</tr>
				<tr>
					<td colspan="2">
						<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
						<script type="text/javascript">
							<!--
								var oFCKeditor = new FCKeditor("mess");
								oFCKeditor.BasePath = "fckeditor/";
								oFCKeditor.Height = 300 ;
								oFCKeditor.Value = "'.( isset( $_SESSION['mess'] ) ? str_replace( $a_before, $a_after, $_SESSION['mess'] ) : '' ).'";
								oFCKeditor.Create() ;
							//-->
						</script>
					</td>
				</tr>
				<tr>
					<td colspan="2">'.$lang['addmess']['longMess'].'</td>
				</tr>
				<tr>
					<td colspan="2">
						<script type="text/javascript">
							<!--
								var oFCKeditor = new FCKeditor("extra");
								oFCKeditor.BasePath = "fckeditor/";
								oFCKeditor.Height = 300 ;
								oFCKeditor.Value = "'.( isset( $_SESSION['extra'] ) ? str_replace( $a_before, $a_after, $_SESSION['extra'] ) : '' ).'";
								oFCKeditor.Create() ;
							//-->
						</script>
					</td>
				</tr>
				<tr>
					<td>'.$lang['addmess']['description'].'</td>
					<td>
						<input type="text" name="description" value="'.( isset( $_SESSION['description'] ) ? $_SESSION['description'] : '' ).'" size="80" />
					</td>
				</tr>
				<tr>
					<td>'.$lang['addmess']['keywords'].'</td>
					<td>
						<input type="text" name="keywords" value="'.( isset( $_SESSION['keywords'] ) ? $_SESSION['keywords'] : '' ).'" size="80" />
					</td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						<input class="btn" type="submit" name="addmess" value="'.$lang['addmess']['addMess'].'" />
					</td>
				</tr>
			</table>
		</form>
	</div>';
	}
unset( $_SESSION['send'], $_SESSION['head'], $_SESSION['mess'], $_SESSION['extra'], $_SESSION['description'], $_SESSION['keywords'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>