<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
if ( isset( $_POST['addpage'] ) )
	{
	mf_valid_data( 'title', 'content', 'type', 'description', 'keywords', 'myinclude' );
	mf_check_scrf( 'csrf_token' );
	if ( ! isset( $_SESSION['title'] ) || mb_strlen( $_SESSION['title'] ) < 1 ) {
		$_SESSION['send'] = '<div id="error">'.$lang['addpage']['fillPageTitle'].'</div>';
		exit( header( 'location: addpage.php' ) );
		}
	if ( ! preg_match( '#^[а-яёїієa-z\d\s]+$#ui', $_SESSION['title'] ) ) {
		$_SESSION['send'] = '<div id="error">'.$lang['addpage']['illegalCharTitle'].'</div>';
		exit( header( 'location: addpage.php' ) );
		}
	if ( ! empty( $_SESSION['myinclude'] ) ) {
		if ( ! file_exists( ROOT_PATH.'/mycode/'.$_SESSION['myinclude'].'.php' ) ) {
			$_SESSION['send'] = '<div id="error">'.$lang['addpage']['notMyinclude'].'</div>';
			exit( header( 'location: addpage.php' ) );
			}
		}
	$filename = mb_strtolower( trim( preg_replace( '/([^a-z0-9-_])/ui', '', str_replace( ' ', '_', mf_encodestring( $_SESSION['title'] ) ) ) ) );
	if ( file_exists( ROOT_PATH.'/content/pagedb/'.$filename.'.dat' ) ) {
		$_SESSION['send'] = '<div id="error">'.$lang['addpage']['pageExistTitle'].'</div>';
		exit( header( 'location: addpage.php' ) );
		}
	if ( $_SESSION['type'] == 'blog' ) {
		$data_mess = array( 'num_mess_user' => '10', 'num_mess_admin' => '10', 'url' => '1', 'date' => '1', 'view_full' => '1', 'rss' => '0', 'mess_exists' => '0' );
		$fopendb = fopen( ROOT_PATH.'/content/infopagedb/'.$filename.'.dat', 'w+' );
		flock( $fopendb, LOCK_EX );
		fwrite( $fopendb, serialize( $data_mess )."\n" );
		flock( $fopendb, LOCK_UN );
		fclose( $fopendb );
		@chmod( ROOT_PATH.'/content/infopagedb/'.$filename.'.dat', 0644 );
		}

	$data = "<!-- OUR_title -->\n{$_SESSION['title']}<!-- OUR_title -->\n";
	$data .= "<!-- OUR_content -->\n{$_SESSION['content']}<!-- OUR_content -->\n";
	$data .= "<!-- OUR_type -->\n{$_SESSION['type']}<!-- OUR_type -->\n";
	$data .= "<!-- OUR_myinclude -->\n{$_SESSION['myinclude']}<!-- OUR_myinclude -->\n";
	$data .= "<!-- OUR_description -->\n{$_SESSION['description']}<!-- OUR_description -->\n";
	$data .= "<!-- OUR_keywords -->\n{$_SESSION['keywords']}<!-- OUR_keywords -->\n";
	$data = stripslashes( $data );
	$fopendb = fopen( ROOT_PATH.'/content/pagedb/'.$filename.'.dat', 'w+' );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, $data );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/content/pagedb/'.$filename.'.dat', 0644 );
	$_SESSION['send'] = '<div id="message">'.$lang['addpage']['successCreatePage'].'</div>';
	mf_sitemap(  );
	exit( header( 'Location: index.php' ) );
	}
$our_content .= '
<h1>'.$lang['addpage']['addPage'].'</h1>
<div class="rounded">
	'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
	<form action="addpage.php" method="post">
	'.mf_generate_form_token( 'csrf_token' ).'
		<table width="888">
			<tr>
				<td width="150">'.$lang['addpage']['pageName'].'</td>
				<td>
					<input type="text" name="title" value="'.( isset( $_SESSION['title'] ) ? $_SESSION['title'] : '' ).'" size="80" />
				</td>
			</tr>
			<tr>
				<td colspan="2">'.$lang['addpage']['content'].'</td>
			</tr>
			<tr>
				<td colspan="2">
					<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
					<script type="text/javascript">
						<!--
							var oFCKeditor = new FCKeditor("content");
							oFCKeditor.BasePath = "fckeditor/";
							oFCKeditor.Height = 500 ;
							oFCKeditor.Value = "'.( isset( $_SESSION['content'] ) ? str_replace( $a_before, $a_after, $_SESSION['content'] ) : '' ).'";
							oFCKeditor.Create() ;
						//-->
					</script>
				</td>
			</tr>
			<tr>
				<td>'.$lang['addpage']['typePage'].'</td>
				<td>
				<select name="type">
					<option value="static" '.( isset( $_SESSION['type'] ) && $_SESSION['type'] == 'static' ? 'selected="selected"' : '' ).'>'.$lang['addpage']['staticPage'].'</option>
					<option value="blog" '.( isset( $_SESSION['type'] ) && $_SESSION['type'] == 'blog' ? 'selected="selected"' : '' ).'>'.$lang['addpage']['blogPage'].'</option>
				</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['addpage']['description'].'</td>
				<td>
					<input type="text" name="description" value="'.( isset( $_SESSION['description'] ) ? $_SESSION['description'] : '' ).'" size="80" />
				</td>
			</tr>
			<tr>
				<td>'.$lang['addpage']['keywords'].'</td>
				<td>
					<input type="text" name="keywords" value="'.( isset( $_SESSION['keywords'] ) ? $_SESSION['keywords'] : '' ).'" size="80" />
				</td>
			</tr>
			<tr>
				<td>'.$lang['addpage']['myinclude'].'</td>
				<td>
					<input type="text" name="myinclude" value="'.( isset( $_SESSION['myinclude'] ) ? $_SESSION['myinclude'] : '' ).'" size="30" />.php
				</td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<input class="btn" type="submit" name="addpage" value="'.$lang['addpage']['addPage'].'" />
				</td>
			</tr>
		</table>
	</form>
</div>';
unset( $_SESSION['send'], $_SESSION['title'], $_SESSION['content'], $_SESSION['type'], $_SESSION['description'], $_SESSION['keywords'], $_SESSION['myinclude'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>