<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
$database = isset( $_REQUEST['cat'] ) ? preg_replace( '/([^a-z0-9-_])/ui', '', $_REQUEST['cat'] ) : '';
if ( ! file_exists( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' ) ) {
	$our_content = $lang['blog']['baseDoesNotExist'];
	}
else
	{
	$page = isset( $_GET['page'] ) ? abs( intval( $_GET['page'] ) ) : 1;
	@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0644 );
	$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
	$mess_exists = mf_pagedb_config( $database, 'mess_exists' );
	$our_content .= '
	<h1>'.$lang['blog']['page'].mf_page_info( $database, 'title' ).'</h1>';
	if ( $mess_exists == 0 )
		{
		$our_content .= '
		<div class="rounded">
			<table>
				<tr>
					<td>
						<a class="btn" href="addmess.php?cat='.$database.'">'.$lang['blog']['addMess'].'</a>
						<a class="btn" href="settingsblog.php?cat='.$database.'">'.$lang['blog']['settingsBlog'].'</a>
					</td>
				</tr>
				<tr>
					<td>'.$lang['blog']['noMess'].'</td>
				</tr>
			</table>
		</div>';
		}
	else
		{
		if ( isset( $_POST['dellmess'] ) )
			{
			mf_check_scrf( 'csrf_token' );
			if ( empty( $_POST['delete'] ) ) {
				$_SESSION['send'] = '<div id="error">'.$lang['blog']['chooseDellMess'].'</div>';
				exit( header( 'location: blog.php?cat='.$database.'&page='.$page ) );
				}
			foreach ( $_POST['delete'] as $key => $value ) {
				if ( isset( $array_filedb[$key] ) ) {
					$array_filedb[$key] = "\n";
					}
				}
			mf_save_data( $database, $array_filedb, 'w+' );
			mf_sitemap(  );
			if ( mf_pagedb_config( $database, 'rss' ) == '1' ) mf_rss( $database );
			$mess_exists = 0;
			foreach ( $array_filedb as $key => $value ) {
				if ( trim( $array_filedb[$key] ) != '' && $key != 0 ) {
					$mess_exists++;
					}
				}
			$row = unserialize( $array_filedb[0] );
			$row['mess_exists'] = $mess_exists;
			$array_filedb[0] = serialize( $row )."\n" ;
			mf_save_data( $database, $array_filedb, 'w+' );
			$_SESSION['send'] = '<div id="message">'.$lang['blog']['successDellMess'].'</div>';
			exit( header( 'location: blog.php?cat='.$database.'&page='.$page ) );
			}
		$our_content .= '
		<div class="rounded">
			'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
			<form action="blog.php?cat='.$database.'&page='.$page.'" method="post">
			'.mf_generate_form_token( 'csrf_token' ).'
				'.$lang['blog']['allMess'].' '.$mess_exists.'<br />
				<div class="right">
					<a class="btn" href="addmess.php?cat='.$database.'">'.$lang['blog']['addMess'].'</a>
					<a class="btn" href="settingsblog.php?cat='.$database.'">'.$lang['blog']['settingsBlog'].'</a>
					<input class="btn" type="submit" name="dellmess" value="'.$lang['blog']['deleteChooseMess'].'" title="'.$lang['blog']['deleteChooseMess'].'" onclick="return confirm(\''.$lang['blog']['confirmDellMess'].'\')" />
				</div>
				<table class="table">';
		$numc = mf_pagedb_config( $database, 'num_mess_admin' );
		$num_pages = ceil( $mess_exists / $numc );
		if ( $page > $num_pages ) exit( header( 'location: blog.php?cat='.$database.'&page='.$num_pages ) );
		$start = $page * $numc - $numc;
		if ( $page < 1 ) $page = $start = 1;
		$count = count( $array_filedb );
		for ( $i = $count - $start, $num = 1; $i > $count - $start - $numc; $i-- )
			{
			if ( $i > 1 )
				{
				if ( trim( $array_filedb[ $i - 1 ] ) == '' ) {
					$start++;
					continue;
					}
				$num++;
				$messold = unserialize( $array_filedb[ $i - 1 ] );
				$our_content .= '
					<tr>
						<td style="width: auto; text-align: left;">'.$messold['head'].'</td>
						<td style="width: 180px; text-align: left;">'.$messold['pubdate'].' ['.$messold['pubtime'].']</td>
						<td><a href="editmess.php?cat='.$database.'&what='.( $i - 1 ).'&page='.$page.'"><img src="images/edit_page.png" width="17" alt="'.$lang['blog']['editMess'].'" title="'.$lang['blog']['editMess'].'" /></a></td>
						<td><a target="_blank" href="'.( mf_pagedb_config( $database, 'url' ) == '1' ? '../'.$database.'/'.( $i - 1 ).'-'.$messold['link'].'.html' : '../'.$database.'-'.( $i - 1 ).'.html' ).'" alt="'.$lang['blog']['viewPage'].'" title="'.$lang['blog']['viewPage'].'"><img src="images/view_page.png" width="19" /></a></td>
						<td><input type="checkbox" name="delete['.( $i - 1 ).']" /></td>
					</tr>';
				}
			}
		$our_content .= '
				</table>
			</form>';
		if ( $num_pages > 1 )
			{
			$our_content .= '
			<center>
				<div id="pagenavi">';
			for ( $pr = '', $i = 1; $i <= $num_pages; $i++ ) {
				$our_content .= $pr = ( ( $i == 1 || $i == $num_pages || abs( $i - $page ) < 2 ) ? ( $i == $page ? '<span class="btn current">'.$i.'</span>' : '<a class="btn" href="blog.php?cat='.$database.'&page='.$i.'">'.$i.'</a>') : ( ( $pr == '<span class="btn extend">...</span>' || $pr == '' ) ? '' : '<span class="btn extend">...</span>' ) );
				}
			$our_content .= '
				</div>
			</center>';
			}
		$our_content .= '
		</div>';
		}
	}
unset( $_SESSION['send'], $_SESSION['head'], $_SESSION['mess'], $_SESSION['extra'], $_SESSION['description'], $_SESSION['keywords'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>