<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
$whatpage = isset( $_REQUEST['what'] ) ? preg_replace( '/([^a-z0-9-_])/ui', '', $_REQUEST['what'] ) : '';
if ( ! file_exists( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat') ) {
	$our_content = $lang['editpage']['useMenuEditPage'];
	}
else
	{
	if ( isset( $_POST['editpage'] ) )
		{
		mf_valid_data( 'title', 'content', 'type', 'description', 'keywords', 'myinclude' );
		mf_check_scrf( 'csrf_token' );
		if ( ! isset( $_SESSION['title'] ) || mb_strlen( $_SESSION['title'] ) < 1 ) {
			$_SESSION['send'] = '<div id="error">'.$lang['editpage']['fillPageTitle'].'</div>';
			exit( header( 'location: editpage.php?what='.$whatpage ) );
			}
		if ( ! empty( $_SESSION['myinclude'] ) ) {
			if ( ! file_exists( ROOT_PATH.'/mycode/'.$_SESSION['myinclude'].'.php' ) ) {
				$_SESSION['send'] = '<div id="error">'.$lang['editpage']['notMyinclude'].'</div>';
				exit( header( 'location: editpage.php?what='.$whatpage ) );
				}
			}
		$type = mf_page_info( $whatpage, 'type' );
		if ( $type != $_SESSION['type'] && $_SESSION['type'] == 'blog' )
			{
			$data_mess = array( 'num_mess_user' => '10', 'num_mess_admin' => '10', 'url' => '1', 'date' => '1', 'view_full' => '1', 'rss' => '0', 'mess_exists' => '0' );
			$fopendb = fopen( ROOT_PATH.'/content/infopagedb/'.$whatpage.'.dat', 'w+' );
			flock( $fopendb, LOCK_EX );
			fwrite( $fopendb, serialize( $data_mess )."\n" );
			flock( $fopendb, LOCK_UN );
			fclose( $fopendb );
			@chmod( ROOT_PATH.'/content/infopagedb/'.$whatpage.'.dat', 0644 );
			}
		if ( $type == 'blog' && $_SESSION['type'] == 'static' )
			{
			if ( file_exists( ROOT_PATH.'/content/infopagedb/'.$whatpage.'.dat' ) ) {
				@chmod( ROOT_PATH.'/content/infopagedb/'.$whatpage.'.dat', 0777 );
				unlink( ROOT_PATH.'/content/infopagedb/'.$whatpage.'.dat' );
				}
			if ( file_exists( ROOT_PATH.'/rss/'.$whatpage.'.xml' ) ) {
				@chmod( ROOT_PATH.'/rss/'.$whatpage.'.xml', 0777 );
				unlink( ROOT_PATH.'/rss/'.$whatpage.'.xml' );
				}
			mf_sitemap(  );
			}
		$data = "<!-- OUR_title -->\n{$_SESSION['title']}<!-- OUR_title -->\n";
		$data .= "<!-- OUR_content -->\n{$_SESSION['content']}<!-- OUR_content -->\n";
		$data .= "<!-- OUR_type -->\n{$_SESSION['type']}<!-- OUR_type -->\n";
		$data .= "<!-- OUR_myinclude -->\n{$_SESSION['myinclude']}<!-- OUR_myinclude -->\n";
		$data .= "<!-- OUR_description -->\n{$_SESSION['description']}<!-- OUR_description -->\n";
		$data .= "<!-- OUR_keywords -->\n{$_SESSION['keywords']}<!-- OUR_keywords -->\n";
		$data  = stripslashes( $data );
		$fopendb = fopen( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat', 'w+' );
		flock( $fopendb, LOCK_EX );
		fwrite( $fopendb, $data );
		flock( $fopendb, LOCK_UN );
		fclose( $fopendb );
		@chmod( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat', 0644 );
		$_SESSION['send'] = '<div id="message">'.$lang['editpage']['successChangPage'].'</div>';
		exit( header( 'Location: index.php' ) );
		}
	@chmod( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat', 0644 );
	$fopendb = fopen( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat', 'r' );
	flock( $fopendb, LOCK_SH );
	$data = fread( $fopendb, filesize( ROOT_PATH.'/content/pagedb/'.$whatpage.'.dat' ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );

	$title = explode( '<!-- OUR_title -->', $data );
	$title = preg_replace( '/"/', '\"', stripslashes( $title[1] ) );

	$type_page = explode( '<!-- OUR_type -->', $data );
	$type_page = trim( preg_replace( '/"/', '\"', stripslashes( $type_page[1] ) ) );

	$myinclude = explode( '<!-- OUR_myinclude -->', $data );
	$myinclude = preg_replace( '/"/', '\"', stripslashes( $myinclude[1] ) );

	$description = explode( '<!-- OUR_description -->', $data );
	$description = preg_replace( '/"/', '\"', stripslashes( $description[1] ) );

	$keywords = explode( '<!-- OUR_keywords -->', $data );
	$keywords = preg_replace( '/"/', '\"', stripslashes( $keywords[1] ) );

	$content = explode( '<!-- OUR_content -->', $data );
	$content = trim( stripslashes( $content[1] ) );
	$our_content .= '
	<h1>'.$lang['editpage']['editPage'].$title.'</h1>
	<div class="rounded">
		'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
		<form action="editpage.php?what='.$whatpage.'" method="post">
			'.mf_generate_form_token( 'csrf_token' ).'
			<table width="100%">
				<tr>
					<td width="120">'.$lang['editpage']['titlePage'].'</td>
					<td>
						<input type="text" name="title" value="'.( isset( $_SESSION['title'] ) ? $_SESSION['title'] : $title ).'" size="80" />
					</td>
				</tr>
				<tr>
					<td colspan="2">'.$lang['editpage']['content'].'</td>
				</tr>
				<tr>
					<td colspan="2">
						<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
						<script type="text/javascript">
							<!--
							var oFCKeditor = new FCKeditor("content");
							oFCKeditor.BasePath	= "fckeditor/";
							oFCKeditor.Height	= 500 ;
							oFCKeditor.Value = "'.( isset( $_SESSION['content'] ) ? str_replace( $a_before, $a_after, $_SESSION['content'] ) : str_replace( $a_before, $a_after, $content ) ).'";
							oFCKeditor.Create();
							//-->
						</script>
					</td>
				</tr>
				<tr>';
	if ( $whatpage != '404' ) {
		$our_content .= '
					<td>'.$lang['editpage']['typePage'].'</td>
					<td>
						<select name="type">
							<option value="static" '.( $type_page == 'static' ? 'selected="selected"' : '' ).'>'.$lang['editpage']['staticPage'].'</option>
							<option value="blog" '.( $type_page == 'blog' ? 'selected="selected"' : '' ).'>'.$lang['editpage']['blogPage'].'</option>
						</select>
					</td>';
		}
	$our_content .= '
				</tr>
				<tr>
					<td>'.$lang['editpage']['description'].'</td>
					<td><input type="text" name="description" value="'.( isset( $_SESSION['description'] ) ? $_SESSION['description'] : $description ).'" size="80" /></td>
				</tr>
				<tr>
					<td>'.$lang['editpage']['keywords'].'</td>
					<td><input type="text" name="keywords" value="'.( isset( $_SESSION['keywords'] ) ? $_SESSION['keywords'] : $keywords ).'" size="80" /></td>
				</tr>
				<tr>
					<td>'.$lang['editpage']['myInclude'].'</td>
					<td><input type="text" name="myinclude" value="'.( isset( $_SESSION['myinclude'] ) ? $_SESSION['myinclude'] : $myinclude ).'" size="30" />.php</td>
				</tr>';
	if ( $whatpage != '404' ) {
		$our_content .= '
				<tr>
					<td>'.$lang['editpage']['link'].'</td>
					<td>'.htmlspecialchars( '<a href="'.( $whatpage == 'index' ? '/index' : '/'.$whatpage ).'.html">' ).$title.htmlspecialchars( ' </a>' ).'</td>
				</tr>';
		}
	$our_content .= '
				<tr>
					<td colspan="2" align="center">
						<input class="btn" type="submit" name="editpage" value="'.$lang['editpage']['changePage'].'" />
					</td>
				</tr>
			</table>
		</form>
	</div>';
	}
unset( $_SESSION['send'], $_SESSION['title'], $_SESSION['content'], $_SESSION['type'], $_SESSION['description'], $_SESSION['keywords'], $_SESSION['myinclude'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>