<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
mb_internal_encoding( 'UTF-8' );
date_default_timezone_set( 'Europe/Moscow' );
list( $config_sitename, $config_template, $config_login, $config_password, $config_lang ) = array( mf_site_config( 'sitename', 'engine/data' ), mf_site_config( 'template', 'engine/data' ), mf_site_config( 'login', 'admin/conf' ), mf_site_config( 'password', 'admin/conf' ), mf_site_config( 'lang', 'admin/conf' ) );
@chmod( ROOT_PATH.'/admin/lang/'.$config_lang.'.ini', 0644 );
$lang = parse_ini_file( ROOT_PATH.'/admin/lang/'.$config_lang.'.ini', true );
$a_before	= array( '"', "\r", "\n", "\r\n", "\\'", "\\", "\"", "|slash|", "|quotes|" );
$a_after	= array( '\"', '', '', '', "'", "", "'", "\\\\", "\\\"" );
$our_content = '';
function mf_valid_data(  )
	{
	global $a_before, $a_after;
	$arg_list = func_get_args(  );
	foreach ( $arg_list as $key )
		{
		if ( $key != 'content' && $key != 'mess' && $key != 'extra' ) {
			$value = trim( strval( @$_POST[$key] ) );
			if ( get_magic_quotes_gpc(  ) ) $value = stripslashes( $value );
			$_SESSION[$key] = str_replace( $a_before, $a_after, htmlspecialchars( $value, ENT_QUOTES ) );
			}
		else {
			$a1 = array( "\r", "\n", "\r\n", "\\", "\"" );
			$a2 = array( '', '', '', "|slash|", "|quotes|" );
			$_SESSION[$key] = str_replace( $a1, $a2, strval( @$_POST[$key] ) );
			}
		}
	}

function mf_encodestring( $string )
	{
	$string = mb_strtolower( $string );
	$table = array(
		'а' => 'a',		'б' => 'b',		'в' => 'v',		'г' => 'g',		'ґ' => 'g',
		'д' => 'd',		'е' => 'e',		'є' => 'e',		'ё' => 'yo',	'ж' => 'zh',
		'з' => 'z',		'и' => 'i',		'і' => 'i',		'й' => 'j',		'ї' => 'i',
		'к' => 'k',		'л' => 'l',		'м' => 'm',		'н' => 'n',		'о' => 'o',
		'п' => 'p',		'р' => 'r',		'с' => 's',		'т' => 't',		'у' => 'u',
		'ф' => 'f',		'х' => 'h',		'ц' => 'c',		'ч' => 'ch',	'ш' => 'sh',
		'щ' => 'csh',	'ь' => '',		'ы' => 'y',		'ъ' => '',		'э' => 'e',
		'ю' => 'yu',	'я' => 'ya');
	$output = str_replace( array_keys( $table ), array_values( $table ), $string );
	return $output;
	}

function mf_site_config( $findwhat, $pathdb )
	{
	@chmod( ROOT_PATH.'/'.$pathdb.'/config.php', 0644 );
	$fopendb = fopen( ROOT_PATH.'/'.$pathdb.'/config.php', 'r' );
	flock( $fopendb, LOCK_SH );
	$data = fread( $fopendb, filesize(ROOT_PATH.'/'.$pathdb.'/config.php' ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	$text = explode( "<!-- OUR_{$findwhat} -->", $data );
	return trim( $text[1] );
	}

function mf_page_info( $database, $findwhat )
	{
	@chmod( ROOT_PATH.'/content/pagedb/'.$database.'.dat', 0644 );
	$fopendb = fopen( ROOT_PATH.'/content/pagedb/'.$database.'.dat', 'r' );
	flock( $fopendb, LOCK_SH );
	$data = fread( $fopendb, filesize( ROOT_PATH.'/content/pagedb/'.$database.'.dat' ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	$text = explode( "<!-- OUR_{$findwhat} -->", $data );
	return trim( $text[1] );
	}

function mf_pagedb_config( $database, $findwhat )
	{
	@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0777 );
	$array_filedb	= file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
	$row			= unserialize( $array_filedb[0] );
	$text			= $row[$findwhat];
	return $text;
	}

function mf_change_setting( $findwhat, $too, $pathdb )
	{
	@chmod( ROOT_PATH.'/'.$pathdb.'/config.php', 0777 );
	$fopendb = fopen( ROOT_PATH.'/'.$pathdb.'/config.php', 'r' );
	flock( $fopendb, LOCK_SH );
	$data = fread( $fopendb, filesize( ROOT_PATH.'/'.$pathdb.'/config.php' ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	$data = str_replace( mf_site_config( $findwhat, $pathdb ).'<!-- OUR_'.$findwhat.' -->', trim( $too .'<!-- OUR_'.$findwhat.' -->' ), $data );
	$fopendb = fopen( ROOT_PATH.'/'.$pathdb.'/config.php', 'w+' );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, $data );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/'.$pathdb.'/config.php', 0644 );
	}

function mf_sitemap(  )
	{
$our_sitemap = '<?xml version="1.0" encoding="UTF-8"?>
<urlset
	xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
	http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">
	<!-- powered by OUR-CMS -->
<url>
	<loc>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].'/</loc>
	<changefreq>always</changefreq>
	<priority>1.00</priority>
</url>
';
	$dir = glob( ROOT_PATH.'/content/pagedb/*.dat' );
	foreach ( $dir as $thisName )
		{
		$all_page[ ] = $plink = strtolower( trim( pathinfo( $thisName, PATHINFO_FILENAME ) ) );
		if ( ( $plink == 'index' ) || ( $plink == '404' ) ) {
			continue;
			}
$our_sitemap.='<url>
	<loc>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].'/'.$plink.'.html</loc>
	<changefreq>always</changefreq>
	<priority>0.80</priority>
</url>
';
		}
	foreach ( $all_page as $key => $page )
		{
		if ( mf_page_info( $page, 'type' ) == 'blog' && file_exists( ROOT_PATH.'/content/infopagedb/'.$page.'.dat' ) )
			{
			$seturl = mf_pagedb_config( $page, 'url' );
			$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$page.'.dat' );
			foreach ( $array_filedb as $key => $blog )
				{
				if ( trim( $array_filedb[$key] ) != '' && $key != 0 )
					{
					$messold = unserialize( $array_filedb[$key] );
					if ( $seturl == '1' && isset( $messold['link'] ) ) {
						$link = '/'.$page.'/'.$key.'-'.$messold['link'].'.html';
						}
					else {
						$link = '/'.$page.'-'.$key.'.html';
						}
$our_sitemap .= '<url>
	<loc>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].$link.'</loc>
	<changefreq>always</changefreq>
	<priority>0.64</priority>
</url>
';
					}
				}
			}
		}
$our_sitemap .= '</urlset>';

	@chmod( ROOT_PATH.'/sitemap.xml', 0777 );
	$fopendb = fopen( ROOT_PATH.'/sitemap.xml', 'w+' );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, $our_sitemap );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/sitemap.xml', 0644 );
	}

function mf_rss( $database )
	{
	if ( file_exists( ROOT_PATH.'/content/pagedb/'.$database.'.dat' ) && file_exists( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' ) )
		{
		@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0644 );
		$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
		foreach ( $array_filedb as $key => $mess ) {
			$messold = unserialize( $mess );
			if ( trim( $array_filedb[$key] ) != '' && $key != 0 ) {
				$nummess[ ] = $key ;
				$messexists[ ] = $messold ;
				}
			}
		if ( ! isset( $messexists ) )
			{
$our_rss = '<?xml version="1.0" encoding="utf-8"?>
	<rss version="2.0">
	<channel>
	<title>No news</title>
	<language>ru</language>
	<generator>OUR-CMS</generator>
';
			}
		else
			{
			// Заголовок канала;
			$our_sitetitle = mf_page_info( $database, 'title' );
			// Краткое описание RSS-потока;
			$our_description = mf_page_info( $database, 'description' );
			// Дата создания канала
			$newold = $messexists[0];
			$our_pubdate = date( 'r', strtotime( "{$newold['pubdate']} {$newold['pubtime']}" ) );
			// Дата последнего изменения канала;
			$newold = $messexists[count( $messexists ) - 1];
			$our_lastbuildate = date( 'r', strtotime( "{$newold['pubdate']} {$newold['pubtime']}" ) );

$our_rss='<?xml version="1.0" encoding="utf-8"?>
	<rss version="2.0">
	<channel>
	<title>'.$our_sitetitle.'</title>
	<link>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].'</link>
	<description>'.$our_description.'</description>
	<language>ru</language>
	<pubDate>'.$our_pubdate.'</pubDate>
	<lastBuildDate>'.$our_lastbuildate.'</lastBuildDate>
	<generator>OUR-CMS</generator>
';
			$cc = count( $messexists );
			$start = ( $cc > 10 ) ? $cc - 10 : 0 ;
			$seturl = mf_pagedb_config( $database, 'url' );
			for ( $i = $cc - 1; $i >= $start; $i-- )
				{
				$newold = $messexists[$i];
				//Название новости;
				$our_title = $newold['head'];
				//Краткое описание новости;
				$our_description = htmlspecialchars( preg_replace('/(<img[^<]+>)/Usi', '', $newold['mess'], 1 ) );
				//Дата публикации новости;
				$our_pubdate = date( 'r', strtotime( "{$newold['pubdate']} {$newold['pubtime']}" ) );
				$our_link = $newold['link'];
				if ( $seturl == '1' && isset( $our_link ) ) {
					$link = '/'.$database.'/'.$nummess[$i].'-'.$newold['link'].'.html';
					}
				else {
					$link = '/'.$database.'-'.$nummess[$i].'.html';
					}
$our_rss.='<item>
	<title>'.$our_title.'</title>
	<link>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].$link.'</link>
	<description>'.$our_description.'</description>
	<pubDate>'.$our_pubdate.'</pubDate>
	<guid>'.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].$link.'</guid>
</item>
';
				}
$our_rss .= '</channel>
</rss>';
			}
		}
	else
		{
$our_rss = '<?xml version="1.0" encoding="utf-8"?>
	<rss version="2.0">
	<channel>
	<title>No news</title>
	<language>ru</language>
	<generator>OUR-CMS</generator>
';
		}
	$fopendb = fopen( ROOT_PATH.'/rss/'.$database.'.xml', 'w+' );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, $our_rss );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/rss/'.$database.'.xml', 0644 );
	}

function mf_generate_form_token( $hidden_name )
	{
	$hidden_name = md5( strtolower( trim( pathinfo( $_SERVER['REQUEST_URI'], PATHINFO_FILENAME ) ) ).$hidden_name );
	$_SESSION[$hidden_name] = substr( str_shuffle( 'qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM' ), 0, 10 );
	$text = '<input type="hidden" name="'.$hidden_name.'" value="'.$_SESSION[$hidden_name].'" />';
	return $text;
	}

function mf_check_scrf( $hidden_name )
	{
	$hidden_name = md5( strtolower( trim( pathinfo( $_SERVER['REQUEST_URI'], PATHINFO_FILENAME ) ) ).$hidden_name );
	if ( ! isset( $_SESSION[$hidden_name], $_POST[$hidden_name] ) || $_SESSION[$hidden_name] != $_POST[$hidden_name] ) {
		unset( $_SESSION[$hidden_name] );
		$_SESSION['send'] = '<div id="error">CSRF attack!</div>';
		exit( header( 'Location: '.( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ).'://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'] ) );
		}
	unset( $_SESSION[$hidden_name] );
	}

function mf_save_data( $database, $data, $mode )
	{
	@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0777 );
	$fopendb = fopen( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', $mode );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, implode( '', $data ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/content/infopagedb/'.$database.'.dat', 0644 );
	}

function mf_save_templates( $templates, $database, $data )
	{
	@chmod( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php', 0777 );
	$fopendb = fopen( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php', 'w+' );
	flock( $fopendb, LOCK_EX );
	fwrite( $fopendb, stripslashes( $data ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	@chmod( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php', 0644 );
	}

function mf_view_templates( $templates, $database )
	{
	@chmod( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php', 0644 );
	$fopendb = fopen( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php', 'r' );
	flock( $fopendb, LOCK_SH );
	$data = htmlspecialchars( fread( $fopendb, filesize( ROOT_PATH.'/templates/'.$templates.'/'.$database.'.php' ) ) );
	flock( $fopendb, LOCK_UN );
	fclose( $fopendb );
	return $data;
	}
	
function login_access(  )
	{
	global $login_data;
	if ( isset( $_SESSION['security'] ) ) {
		$login_data = trim( strval( $_SESSION['security'] ) );
		}
	elseif ( isset( $_COOKIE['security'] ) ) {
		$login_data = trim( strval( $_COOKIE['security'] ) );
		session_regenerate_id(  );
		$_SESSION['security'] = $_COOKIE['security'];
		}
	else {
		$login_data = false;
		}
	return $login_data;
	}

function set_cookie( $name, $value, $expires )
	{
	$expires = time(  ) + ( $expires * 86400 );
	setcookie( $name, $value, $expires, "/", "", NULL, TRUE );
	}
?>