<?php
/*--***____**___**__******_________****___**____**___****__
___*****___**___**__*******_______******__***__***__******_
__**___**__**___**__**___**______**___**__***__***__**_____
__**___**__**___**__*******______**_______***__***__*****__
__**___**__**___**__******__***__**_______********____****_
__**___**__**___**__**__**__***__**___**__**_**_**______**_
___*****___*******__**___**_______******__**_**_**__******_
____***_____*****___**____**_______****___**_**_**___*****/
define( 'ROOT_PATH', str_replace( '/admin', '', str_replace( "\\", "/", realpath( dirname( __FILE__ ) ) ) ) );
require ROOT_PATH.'/admin/validation.php';
$database = isset( $_REQUEST['cat'] ) ? preg_replace( '/([^a-z0-9-_])/ui', '', $_REQUEST['cat'] ) : '';
if ( ! file_exists( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' ) ) {
	$our_content = $lang['settingsblog']['baseDoesNotExist'];
	}
else
	{
	if ( isset( $_POST['change_setting'] ) )
		{
		mf_valid_data( 'num_mess_user', 'num_mess_admin', 'url', 'date', 'view_full', 'rss' );
		mf_check_scrf( 'csrf_token' );
		if (	! in_array( $_SESSION['num_mess_user'], range( '1', '50' ) ) || ! in_array( $_SESSION['num_mess_admin'], range( '1', '50' ) ) ||
				! in_array( $_SESSION['url'], array( '1', '0' ) ) || ! in_array( $_SESSION['date'], array( '1', '0' ) ) ||
				! in_array( $_SESSION['view_full'], array( '1', '0' ) ) || ! in_array( $_SESSION['rss'], array( '1', '0' ) ) )
			{
			$_SESSION['send'] = '<div id="error">'.$lang['settingsblog']['useMenu'].'</div>';
			exit( header( 'location: settingsblog.php?cat='.$database ) );
			}
		$array_filedb = file( ROOT_PATH.'/content/infopagedb/'.$database.'.dat' );
		$row = unserialize( $array_filedb[0] );
		$row['num_mess_user']		= $_SESSION['num_mess_user'];
		$row['num_mess_admin']		= $_SESSION['num_mess_admin'];
		$row['url']					= $_SESSION['url'];
		$row['view_full']			= $_SESSION['view_full'];
		$row['rss']					= $_SESSION['rss'];
		$row['date']				= $_SESSION['date'];
		$array_filedb[0] = serialize( $row )."\n";
		mf_save_data( $database, $array_filedb, 'w+' );
		if ( $_SESSION['rss'] == '1' ) {
			mf_rss( $database );
			}
		else {
			if ( file_exists( ROOT_PATH.'/rss/'.$database.'.xml' ) ) {
				@chmod( ROOT_PATH.'/rss/'.$database.'.xml', 0777 );
				unlink( ROOT_PATH.'/rss/'.$database.'.xml' );
				}
			}
		$_SESSION['send'] = '<div id="message">'.$lang['settingsblog']['successChang'].'</div>';
		exit( header( 'Location: settingsblog.php?cat='.$database ) );
		}
	$our_content .= '
	<h1>'.$lang['settingsblog']['page'].' '.mf_page_info( $database, 'title' ).'</h1>
	'.( isset( $_SESSION['send'] ) ? $_SESSION['send'] : '' ).'
	<div class="rounded">
	<form action="settingsblog.php?cat='.$database.'" method="post">
		'.mf_generate_form_token( 'csrf_token' ).'
		<table cellpadding="5">
			<tr>
				<td>'.$lang['settingsblog']['numMessUser'].'</td>
				<td>
					<select name="num_mess_user">';
					$num_mess_user = mf_pagedb_config( $database, 'num_mess_user' );
					for ( $i = 1; $i < 51; $i++ )
	$our_content .= '<option value="'.$i.'" '.( $num_mess_user == $i ? 'selected="selected"' : '' ).'>'.$i.' </option>';
	$our_content .= '
					</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['settingsblog']['numMessAdmin'].'</td>
				<td valign="top">
					<select name="num_mess_admin">';
					$num_mess_admin = mf_pagedb_config( $database, 'num_mess_admin' );
					for ( $i = 1; $i < 51; $i++ )
	$our_content .= '<option value="'.$i.'" '.( $num_mess_admin == $i ? 'selected="selected"' : '' ).'>'.$i.' </option>';
	$our_content .= '
					</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['settingsblog']['changeUrl'].'</td>
				<td valign="top">
					<select name="url">
						<option value="1" '.( mf_pagedb_config( $database, 'url' ) == '1' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultYes'].'</option>
						<option value="0" '.( mf_pagedb_config( $database, 'url' ) == '0' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultNo'].'</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['settingsblog']['showDate'].'</td>
				<td valign="top">
					<select name="date">
						<option value="1" '.( mf_pagedb_config( $database, 'date' ) == '1' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultYes'].'</option>
						<option value="0" '.( mf_pagedb_config( $database, 'date' ) == '0' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultNo'].'</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['settingsblog']['showFull'].'</td>
				<td valign="top">
					<select name="view_full">
						<option value="1" '.( mf_pagedb_config ( $database, 'view_full' ) == '1' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultYes'].'</option>
						<option value="0" '.( mf_pagedb_config ( $database, 'view_full' ) == '0' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultNo'].'</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>'.$lang['settingsblog']['createRss'].'</td>
				<td valign="top">
					<select name="rss">
						<option value="1" '.( mf_pagedb_config( $database, 'rss' ) == '1' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultYes'].'</option>
						<option value="0" '.( mf_pagedb_config( $database, 'rss' ) == '0' ? 'selected="selected"' : '' ).'>'.$lang['settingsblog']['resultNo'].'</option>
					</select>
				</td>
			</tr>
			<tr>
				<td></td>
				<td><input class="btn" type="submit" value="'.$lang['settingsblog']['changeSetting'].'" name="change_setting" /></td>
			</tr>
		</table>
	</div>
	</form>
	<a href="javascript:history.back(1)"><img src="images/back.png" alt="'.$lang['settingsblog']['back'].'" title="'.$lang['settingsblog']['back'].'" /></a>';
	}
unset( $_SESSION['send'] );
include ROOT_PATH.'/admin/mytemplate.php';
?>